View Issue Details

IDProjectCategoryView StatusLast Update
0004463Slicer4Module DicomToNrrdConverterpublic2017-11-08 22:24
Reporterabr96yAssigned Toinorton 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionSlicer 4.9.0 
Summary0004463: Cannot convert DWI Nifti to NRRD
Description

I'm unable to convert a nii.gz DWI file (with bvals and bvecs) to NRRD format in Slicer 4.8. Thas also happened in Slicer Nightly but worked in Slicer 4.6.2. This is the message that appears after clicking 'Apply':

Diffusion-weighted DICOM Import (DWIConvert) standard error:

W: DcmItem: Length of element (6600,c139) is odd
E: DcmElement: Unknown Tag & Data (6600,c139) larger (63459087) than remaining bytes in file
Error: no DICOMfiles found in inputDirectory: .
Unable to create converter!

Tagsdiffusion

Activities

abr96y

abr96y

2017-10-19 13:36

reporter  

Slicer_26489_20171019_133848.log (32,585 bytes)
inorton

inorton

2017-11-06 23:10

developer   ~0015383

Pull-request for fix:

https://github.com/BRAINSia/BRAINSTools/pull/354

We can make the fix available in the nightly once it is accepted upstream.

inorton

inorton

2017-11-07 10:14

developer   ~0015384

Merged, now pending on Slicer fork: https://github.com/Slicer/BRAINSTools/pull/2

jcfr

jcfr

2017-11-08 22:24

administrator   ~0015388

Integrated in r26558
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=26558

Issue History

Date Modified Username Field Change
2017-10-19 13:36 abr96y New Issue
2017-10-19 13:36 abr96y File Added: Slicer_26489_20171019_133848.log
2017-10-19 13:36 abr96y Tag Attached: diffusion
2017-10-28 11:12 inorton Assigned To => inorton
2017-10-28 11:12 inorton Status new => assigned
2017-11-06 23:10 inorton Note Added: 0015383
2017-11-07 10:14 inorton Note Added: 0015384
2017-11-08 22:24 jcfr Status assigned => resolved
2017-11-08 22:24 jcfr Resolution open => fixed
2017-11-08 22:24 jcfr Fixed in Version => Slicer 4.9.0
2017-11-08 22:24 jcfr Note Added: 0015388